## List webhooks `client.Webhooks.List(ctx, query) (*WebhookListResponse, error)` **get** `/v2/webhooks/{teamId}` Lists the team's webhooks. Signing secrets are never included. ### Parameters - `query WebhookListParams` - `TeamID param.Field[string]` ### Returns - `type WebhookListResponse struct{…}` - `Data []Webhook` - `ID string` - `CreatedAt Time` - `Enabled bool` Disabled webhooks are skipped at delivery time. - `Name string` - `TeamID string` - `URL string` Endpoint events are delivered to. - `Verified bool` True once the endpoint has completed the verification handshake. - `Description string` - `UpdatedAt Time` - `VerificationToken string` Stable token replayed to the endpoint (as the `micro_hook_token` query param) during the verification handshake. The endpoint may check it to confirm the request originated from Micro. - `VerifiedAt Time` ### Example ```go package main import ( "context" "fmt" "github.com/micro-so/micro-sdk-go" "github.com/micro-so/micro-sdk-go/option" ) func main() { client := micro.NewClient( option.WithAPIKey("My API Key"), option.WithTeamID("My Team ID"), ) webhooks, err := client.Webhooks.List(context.TODO(), micro.WebhookListParams{ }) if err != nil { panic(err.Error()) } fmt.Printf("%+v\n", webhooks.Data) } ``` #### Response ```json { "data": [ { "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e", "created_at": "2019-12-27T18:11:19.117Z", "enabled": true, "name": "name", "team_id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e", "url": "https://example.com", "verified": true, "description": "description", "updated_at": "2019-12-27T18:11:19.117Z", "verification_token": "verification_token", "verified_at": "2019-12-27T18:11:19.117Z" } ] } ```